post

Prepares a new order flow and returns a unique orderToken to the Merchant

In this stage of the checkout process, the user has not yet selected a payment method. In order to configure the checkout "Continue" button on the checkout page after the customer selects Caddi as the payment method, you should call the Create Order API endpoint with the following information:

  1. Purchase amount (excluding tax and shipping)
  2. Tax amount
  3. Shipping amount
  4. Customer details
  5. Customer billing address
  6. Customer shipping address
  7. Cart item details

Caddi will respond with a special token that uniquely identifies this customer checkout, referred to from here on as the orderToken. The orderToken is then used in conjunction with the Caddi.js JavaScript library to configure a button on the checkout page to launch the Caddi popup workflow.

During the Caddi popup workflow process, the Merchant website will be overlaid with a semi-transparent dark overlay encouraging the customer to focus on the popup window.

Body Params
double
required

The total USD value of all items in the order, excluding tax and shipping

double
required
double
required
customer
object
billingAddress
object
shippingAddress
object
cartItems
array of objects
cartItems
string

Estimated shipping date for this item in YYYY-MM-DD format

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json